Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # usbconfig.h Go to the documentation of this file.
    00001
    00060 #ifndef usbconfig_H
    00061
    00062 #ifndef __doxygen_HIDE
    00063
    00064 #define usbconfig_H
    00065
    00066 #endif /* __doxygen_HIDE */
    00067
    00069 #define IX_USB_HAS_GET_ERROR_STRING
    00070
    00072 #define IX_USB_HAS_ENDPOINT_INFO_SHOW
    00073
    00075 #undef IX_USB_HAS_DUMMY_MBLK
    00076
    00078 #define IX_USB_HAS_STATISTICS_SHOW
    00079
    00081 #undef IX_USB_HAS_TIMESTAMP_CHECKS
    00082
    00083 #ifdef IX_USB_HAS_TIMESTAMP_CHECKS
    00084
    00095 #undef IX_USB_HAS_CUSTOM_TIMESTAMP_GET
    00096
    00097 #endif /* IX_USB_HAS_TIMESTAMP_CHECKS */
    00098
    00100 #define IX_USB_STATS_SHOW_PER_ENDPOINT_INFO
    00101
    00103 #undef IX_USB_HAS_TRACE_MACRO
    00104
    00106 #undef IX_USB_HAS_VERBOSE_TRACE_MACRO
    00107
    00109 #undef IX_USB_HAS_VERBOSE_2_TRACE_MACRO
    00110
    00112 #undef IX_USB_HAS_VERBOSE_3_TRACE_MACRO
    00113
    00115 #undef IX_USB_HAS_VERBOSE_4_TRACE_MACRO
    00116
    00118 #undef IX_USB_HAS_VERBOSE_5_TRACE_MACRO
    00119
    00121 #undef IX_USB_HAS_VERBOSE_MEM_TRACE_MACRO
    00122
    00124 #define IX_USB_HAS_VERBOSE_WARN_TRACE_MACRO
    00125
    00127 #undef IX_USB_HAS_VERBOSE_INIT_TRACE_MACRO
    00128
    00130 #ifdef __linux
    00131 #define IX_USB_HAS_CRITICAL_DATA_LOCKS
    00132 #else
    00133 #undef IX_USB_HAS_CRITICAL_DATA_LOCKS
    00134 #endif /* IX_USB_HAS_CRITICAL_DATA_LOCKS */
    00135
    00137 #define IX_USB_HAS_ASSERT_MACRO
    00138
    00140 #define IX_USB_HAS_CT_ASSERT_MACRO
    00141
    00143 #define IX_USB_HAS_INT_BIND_MACRO
    00144
    00145 /* hardware emulation specifics */
    00146 #ifdef __HWEMU__
    00147
    00148 #include <stdlib.h>
    00149 #define logMsg printf
    00150 #undef IX_USB_HAS_INT_BIND_MACRO
    00151
    00152 #endif /* __HWEMU__ */
    00153
    00154 #ifdef __linux
    00155 #define logMsg printk
    00156 #endif
    00157
    00158 #endif /* usbconfig_H */
    00159
Automatically generated from sources. © Intel Corp. 2003